net.sourceforge.pmd.lang.rule.properties

## Class PropertyDescriptorFactory

- java.lang.Object
- - net.sourceforge.pmd.lang.rule.properties.PropertyDescriptorFactory

    public class PropertyDescriptorFactory
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PropertyDescriptorFactory()`

### Method Summary

Methods
`static PropertyDescriptor<?>` `createPropertyDescriptor(String name, String description, String type, String delimiter, String min, String max, String value)`
`static String` `getPropertyDescriptorType(PropertyDescriptor<?> propertyDescriptor)` Returns the String type of the PropertyDescriptor for use in XML serialization.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyDescriptorFactory

    public PropertyDescriptorFactory()

### Method Detail

#### getPropertyDescriptorType

    public static String getPropertyDescriptorType(PropertyDescriptor<?> propertyDescriptor)

Returns the String type of the PropertyDescriptor for use in XML serialization. If the value is `null` the type cannot be serialized.

#### createPropertyDescriptor

    public static PropertyDescriptor<?> createPropertyDescriptor(String name,
                                                 String description,
                                                 String type,
                                                 String delimiter,
                                                 String min,
                                                 String max,
                                                 String value)